package de.nbscloud.files.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;

@Configuration
@ConfigurationProperties(prefix = "nbs-cloud.files")
@PropertySource("classpath:/config/files-application.properties")
public class FilesConfig {
    private String baseDir;
    private boolean filterHidden;
    private boolean useTrashBin;
    private String trashBinName;
    private int truncateFileNameChars;
    private String sharesName;

    public String getBaseDir() {
        return baseDir;
    }

    public void setBaseDir(String baseDir) {
        this.baseDir = baseDir;
    }

    public boolean isFilterHidden() {
        return filterHidden;
    }

    public void setFilterHidden(boolean filterHidden) {
        this.filterHidden = filterHidden;
    }

    public boolean isUseTrashBin() {
        return useTrashBin;
    }

    public void setUseTrashBin(boolean useTrashBin) {
        this.useTrashBin = useTrashBin;
    }

    public String getTrashBinName() {
        return trashBinName;
    }

    public void setTrashBinName(String trashBinName) {
        this.trashBinName = trashBinName;
    }

    public int getTruncateFileNameChars() {
        return truncateFileNameChars;
    }

    public void setTruncateFileNameChars(int truncateFileNameChars) {
        this.truncateFileNameChars = truncateFileNameChars;
    }

    public String getSharesName() {
        return sharesName;
    }

    public void setSharesName(String sharesName) {
        this.sharesName = sharesName;
    }
}
